package com.platform.modules.live.vo;

import org.hibernate.validator.constraints.NotBlank;

import com.baomidou.mybatisplus.annotations.TableId;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * App评论列表展示model
 * 
 * @author Anine
 * @date 2019/3/14
 */
@ApiModel("app展示现场评论model")
public class LiveCommentAppVo {

	// 数据ID
	@ApiModelProperty(value = "id")
	@NotBlank(message = "id不能为空")
	@TableId(value = "id")
	private Integer id;

	// 现场
	@ApiModelProperty(value = "现场标题")
	private String sceneName;

	// 内容
	@ApiModelProperty(value = "评论内容")
	private String text;

	// 评论来源 1
	@NotBlank(message = "评论来源不能为空")
	@ApiModelProperty(value = "评论来源  1用户 2后台 3第三方", required = true, allowableValues = "1,2,3")
	private Integer source;

	// 评论人头像
	@ApiModelProperty(value = "评论人头像")
	private String headImg;

	// 评论人
	@ApiModelProperty(value = "评论人")
	private String userName;

	// 评论时间
	@ApiModelProperty(value = "评论时间")
	private String createDate;

	// 是否发布 0未发布 1 已发布
	@ApiModelProperty(value = "是否发布 0未发布 1 已发布", allowableValues = "0,1")
	private Integer isRelease;

	// 是否删除 0未删除 1 删除
	@ApiModelProperty(value = "是否删除 0未删除 1 删除", allowableValues = "0,1", hidden = true)
	private Integer isDelete;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getSource() {
		return source;
	}

	public void setSource(Integer source) {
		this.source = source;
	}

	public String getHeadImg() {
		return headImg;
	}

	public void setHeadImg(String headImg) {
		this.headImg = headImg;
	}

	public String getSceneName() {
		return sceneName;
	}

	public void setSceneName(String sceneName) {
		this.sceneName = sceneName;
	}

	public String getText() {
		return text;
	}

	public void setText(String text) {
		this.text = text;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getCreateDate() {
		return createDate;
	}

	public void setCreateDate(String createDate) {
		this.createDate = createDate;
	}

	public Integer getIsRelease() {
		return isRelease;
	}

	public void setIsRelease(Integer isRelease) {
		this.isRelease = isRelease;
	}

	public Integer getIsDelete() {
		return isDelete;
	}

	public void setIsDelete(Integer isDelete) {
		this.isDelete = isDelete;
	}

	public LiveCommentAppVo() {
	}
}
